<? // All the constants in the game
$dbhost = 'localhost';		// MySQL server hostname
$dbuser = 'promisance';		// MySQL username
$dbpass = 'yourpassword';	// MySQL password
$dbname = 'promisance';		// MySQL database name
$version = '3.3';		// Game version number
$playerdb = 'players';		// Player table name
$clandb = 'clan';		// Clan table name
$racedb = 'races';		// Races table name
$eradb = 'eras';		// Eras table name
$lotterydb = 'lottery';		// Lottery table name
$marketdb = 'market';		// Public Market table name
$messagedb = 'messages';	// Messages table name
$newsdb = 'news';		// News table name
$permdb = 'permissions';	// Permissions table name

$config[protection] = 200;	// Duration of protection
$config[initturns] = 100;	// Turns given on signup
$config[maxturns] = 250;	// Max accumulated turns
$config[maxstoredturns] = 100;	// Max stored turns
$config[valturns] = 150;	// How long before validation is necessary

$config[minvacation] = 72;	// Minimum vacation duration
$config[vacationdelay] = 12;	// Delay before empire is protected

$round_begin = mktime(0,0,0,1,1,2000);
$round_lastweek = mktime(0,0,0,1,23,2000);
$round_end = mktime(23,59,59,1,30,2000);

$config[reset_begin] = date('F j',$round_begin);
$config[reset_end] = date('F j',$round_end);
$time = time();
$nexttime = '';
if ($time < $round_lastweek)
	$signupsclosed = 0;
else	$signupsclosed = 1;
if (($time >= $round_lastweek) && ($time < $round_end))
{
	$lastweek = 1;
	$nexttime = "The current round will end in ".date('z \d\a\y\s\, H:i:s',$round_end - $time);
}
else	$lastweek = 0;
if (($time >= $round_begin) && ($time < $round_end))
	$lockdb = 0;
else
{
	$lockdb = 1;
	if ($time < $round_begin)
		$nexttime = "Round begins in ".date('z \d\a\y\s\, H:i:s',$round_begin - $time);
	else	$nexttime = "The current round has ended! Thanks for playing!";
}

$turnsper = 1;			// X turns
$perminutes = 10;		// per Y minutes
$turnoffset = 0;		// in case we don't run exactly 0 minutes after the hour
				// Note: perminutes must divide evenly into 60

$maxtickets = 5;		// Maximum # of lottery tickets per empire

$tick_curjp = 0;		// DO NOT MODIFY THESE
$tick_lastjp = 1;		// DO NOT MODIFY THESE
$tick_lastnum = 2;		// DO NOT MODIFY THESE
$tick_lastwin = 3;		// DO NOT MODIFY THESE
$tick_jpgrow = 4;		// DO NOT MODIFY THESE

$trplst[0] = 'armtrp';		// an array of troop names so for loops can be used when all types are referenced
$trplst[1] = 'lndtrp';		// DO NOT MODIFY THESE
$trplst[2] = 'flytrp';		// DO NOT MODIFY THESE
$trplst[3] = 'seatrp';		// DO NOT MODIFY THESE
$trplst[4] = 'food';		// this commonly follows the troop listings

$trplst2[$trplst[0]] = 0;
$trplst2[$trplst[1]] = 1;
$trplst2[$trplst[2]] = 2;
$trplst2[$trplst[3]] = 3;
$trplst2[$trplst[4]] = 4;

$config[$trplst[0]] = 500;	// Base market costs
$config[$trplst[1]] = 1000;
$config[$trplst[2]] = 2000;
$config[$trplst[3]] = 3000;
$config[$trplst[4]] = 31;

$config[loanbase] = 7.5;	// Base savings/loan rates
$config[savebase] = 4;
$config[buildings] = 3500;	// Base building cost
$config[market] = 6;		// Hours to arrive on market
$config[maxmarket] = 3;		// Maximum number of days something can be on the market
$config[bmperc] = 8000;		// Percentage of troops that can be sold on black market (divide by 100 for percentage)
$config[mktshops] = 0.20;	// Percentage of black market cost bonus for which shops are responsible
$config[indc] = 2.7;		// Industry output multiplier
$config[jackpot] = 1000000000;	// Base jackpot
$config[dropdelay] = 60*60*12;	// Minimum delay (in seconds) between gaining land and dropping it

$styles = array(1=>"qm.css", 2=>"ezclan.css", 3=>"nuitari.css");
$stylenames = array(1=>"QM Standard", 2=>"EZClan Blue", 3=>"Nuitari (bright)");
				// data for the profanity filter
$disallow_words = array("*fuck*","*shit*","ass","*bitch*","cock","*cunt*","*pussy*");

				// News text
$config[news] = '<span style="color:white">Thank you for playing QM Promisance Classic! Visit <a href="http://qmt.ath.cx/" target="_blank">QMT Productions</a> for even more games to play!</span>';
				// Name of primary script file. DO NOT MODIFY
$config[main] = 'promisance.php';
				// Site/path in which the game resides
$config[sitedir] = 'http://www.yoursite.com/promisance/';
				// Server title
$config[servname] = 'QM Classic v3.3';
				// Where we go when we logout
$config[home] = 'http://www.yoursite.com/';
				// Link to forum for this game
$config[forums] = 'http://www.yoursite.com/forums/?forum=X';
				// Administrative contact
$config[adminemail] = 'admin@yoursite.com';
				// From address of validation emails
$config[valemail] = 'promisance@yoursite.com';
				// Text for additional server-specific rules
$config[rules] = 'Please check the forum for additional rules.<br>You are strongly encouraged to read through the FAQs before emailing an Administrator.';

// not really constants, but stuff used for all pages
$cookie = $_COOKIE;
?>
