<?
include("header.php");

// preset prices; getCosts adjusts them according to your barracks/land ratio and race bonus
$costs[armtrp] = $config[armtrp] * .32;
$costs[lndtrp] = $config[lndtrp] * .34;
$costs[flytrp] = $config[flytrp] * .36;
$costs[seatrp] = $config[seatrp] * .38;
$costs[food] = $config[food] * .20;

function getCosts ($type)
{
	global $users, $urace, $costs, $canbuy, $config;
// when selling units, the bonus INCREASES the price, so you can get more for them
	$costbonus = 1 + (1-$config[mktshops]) * ($users[costbld] / $users[land]) + $config[mktshops] * ($users[cashbld] / $users[land]);
	if ($type != 'food')				// food unaffected by cost bonuses
	{
		$costs[$type] = $costs[$type] * $costbonus;
		$costs[$type] /= $urace[mkt];
		if ($costs[$type] > $config[$type] * .5)
			$costs[$type] = $config[$type] * .5;
	}
	$costs[$type] = round($costs[$type]);
}

function sellUnits ($type)
{
	global $users, $uera, $sell, $costs, $config;
	$amount = $sell[$type];
	fixInputNum($amount);
	$cost = $amount * $costs[$type];
	if ($amount == 0)
		return;
	elseif ($amount < 0)
		print "Cannot sell a negative amount of $uera[$type]!<br>\n";
	elseif (($type != 'food') && ($amount > ($config[bmperc] - $users["bmper"."$type"])/10000 * $users[$type]))
		print "You can't sell that many $uera[$type]!<br>\n";
	elseif ($type == food && $amount > $users[$type])
		print "You don't have that many $uera[$type]!<br>\n";
	else
	{
		$users[cash] += $cost;
		$users["bmper"."$type"] = $users["bmper"."$type"] + ($amount/$users[$type])*10000;
		$users[$type] -= $amount;
		print commas($amount)." $uera[$type] sold for $".commas($cost)."<br>\n";
	}
}

function printRow ($type)
{
	global $users, $uera, $costs, $config;
?>
<tr><td><?=$uera[$type]?></td>
    <td class="ar"><?=commas($users[$type])?></td>
    <td class="ar"><? if($type!=food) print commas(floor(($config[bmperc] - $users["bmper"."$type"])/10000 * $users[$type])); else print commas($users[$type]);?></td>
    <td class="ar">$<?=$costs[$type]?></td>
    <td class="ar"><input type="text" name="sell[<?=$type?>]" size="8" value="0"></td></tr>
<?
}

for ($i = 0; $i < 5; $i++)
	getCosts($trplst[$i]);
if ($do_sell)
{
	for ($i = 0; $i < 5; $i++)
		sellUnits($trplst[$i]);
	saveUserDataNet($users,"networth cash armtrp lndtrp flytrp seatrp food bmperseatrp bmperflytrp bmperlndtrp bmperarmtrp");
}
?>
Also see: <a href="<?=$config[main]?>?action=guide&amp;section=military&amp;era=<?=$users[era]?>">Promisance Guide: Military</a><br>
<form method="post" action="<?=$config[main]?>?action=pvtmarketsell">
<table class="inputtable">
<tr><td colspan="3"><a href="<?=$config[main]?>?action=pvtmarketbuy">Buy Goods</a></td>
    <td colspan="2" class="ar"><a href="<?=$config[main]?>?action=pvtmarketsell">Sell Goods</a></td></tr>
<tr><th class="al">Unit</th>
    <th class="ar">Owned</th>
    <th class="ar">Can Sell</th>
    <th class="ar">Price</th>
    <th class="ar">Sell</th></tr>
<?
for ($i = 0; $i < 5; $i++)
	printRow($trplst[$i]);
?>
<tr><td colspan="6" class="ac"><input type="submit" name="do_sell" value="Sell Goods"></td></tr>
</table>
</form>
<?
TheEnd("");
?>
